Upgrade has causes an odd 500 error

Hi Guys,

Big fan of zammad, and have been using it for around 3 years without any issue, until recently when I had a constant crashing issue. 500 errors being thrown. So i upgraded the system and all is well however i have one issue that still remains.

When you open a ticket you’re presented with a 500 error box with the below info. If anyone could shed some light into how i can fix this, I’d highly appreciate it.

Kindest regards, Dan

Infos:

StatusCode: 500

undefined method `app' for #<Taskbar id: nil, user_id: 3, last_contact: nil, client_id: nil, key: "Ticket-92360", callback: "TicketZoom", state: {}, preferences: {}, params: {"ticket_id"=>92360, "overview_id"=>4, "shown"=>true}, prio: 2, notify: false, active: true, created_at: nil, updated_at: nil>
  • Used Zammad version: 5.4.0-1679657495.4658f661.bionic
  • Used Zammad installation type: apt package
  • Operating system: Ubuntu
  • Browser + version: Chrome (Latest)

Believe it or not, i’ve just checked the install, run another update, rebooted and this has rectified itself.

Not sure how, but whatever was missing has been added back so that it doesn’t return NIL.

Kindest regards,
Dan

This topic was automatically closed 360 days after the last reply. New replies are no longer allowed.